Facebook Developers
DocumentationSupportBlogAppsLog In
  • Getting Started
  • Core Concepts
  • Advanced Topics
    • Dialogs
    • FQL
    • Internationalization
    • Ads API
    • Credits
    • Chat API
    • Legacy REST API
    • Legacy FBML
    • Legacy FBJS
    • Legacy Javascript SDK
  • SDK Reference
  • Tools
  • Administrative Methods
    • admin.banUsers
    • admin.getAllocation
    • admin.getAppProperties
    • admin.getBannedUsers
    • admin.getRestrictionInfo
    • admin.setAppProperties
    • admin.setRestrictionInfo
    • admin.unbanUsers
    • application.getPublicInfo
    • batch.run
    • data.setCookie
    • fbml.setRefHandle
    • intl.getTranslations
    • intl.uploadNativeStrings
    • links.getStats
    • migrations.getStatuses
    • migrations.setStatus
    • pages.blockFan
  • Login/Auth Methods
    • auth.createToken
    • auth.expireSession
    • auth.getSession
    • auth.promoteSession
    • auth.revokeAuthorization
    • auth.revokeExtendedPermission
  • Data Retrieval Methods
    • comments.get
    • data.getCookies
    • fbml.refreshImgSrc
    • fbml.refreshRefUrl
    • fql.multiquery
    • fql.query
    • friends.areFriends
    • friends.get
    • friends.getAppUsers
    • friends.getLists
    • friends.getMutualFriends
    • groups.get
    • groups.getMembers
    • links.get
    • message.getThreadsInFolder
    • notes.get
    • notifications.get
    • notifications.getList
    • pages.getinfo
    • pages.isAdmin
    • pages.isAppAdded
    • pages.isFan
    • photos.get
    • photos.getAlbums
    • photos.getTags
    • privacy.get
    • profile.getFBML
    • profile.getInfo
    • profile.getInfoOptions
    • status.get
    • stream.get
    • stream.getComments
    • stream.getFilters
    • users.getInfo
    • users.getLoggedInUser
    • users.getStandardinfo
    • users.hasAppPermission
    • users.isAppUser
    • users.isVerified
    • video.getUploadLimits
  • Publishing Methods
    • comments.add
    • comments.remove
    • links.post
    • links.preview
    • liveMessage.send
    • notes.create
    • notes.delete
    • notes.edit
    • notifications.markRead
    • notifications.sendEmail
    • photos.addTag
    • photos.createAlbum
    • photos.upload
    • profile.setFBML
    • profile.setInfo
    • profile.setInfoOptions
    • status.set
    • stream.addComment
    • stream.addLike
    • stream.publish
    • stream.remove
    • stream.removeComment
    • stream.removeLike
    • users.setStatus
    • video.upload
  • Facebook Connect Methods
    • Mobile Methods
      • sms.canSend
      • sms.send
    • Dashboard API Methods
      • dashboard.decrementCount
      • dashboard.getCount
      • dashboard.incrementCount
      • dashboard.multiGetCount
      • dashboard.multiIncrementCount
      • dashboard.multiSetCount
      • dashboard.setCount
    • Events API Methods
      • events.cancel
      • events.create
      • events.edit
      • events.get
      • events.getMembers
      • events.invite
      • events.rsvp
    • Custom Tags API Methods
      • fbml.deleteCustomTags
      • fbml.getCustomTags
      • fbml.registerCustomTags
    • Ads Methods

      users.hasAppPermission

      Advanced Topics › Legacy REST API › users.hasAppPermission
      Please note: We are in the process of deprecating the REST API, and have added equivalent support to the Graph API for this method. Please use the Graph API- User object to check the set of permissions that a user has for that application using GET /user_id?fields=permissions.

      Checks whether the user has granted your application an extended permission.

      For non-desktop applications, you may pass the ID of the user on whose behalf you're making this call. If you don't specify a user with the uid parameter but you do specify a session_key, then that user whose session it is will be the target of the call.

      However, if your application is a desktop application, you must pass a valid session key for security reasons. Passing a uid parameter will result in an error.

      Parameters

      NameTypeDescription
      ext_permstring

      String identifier for the extended permission that is being checked for. Must be one of these permissions.

      callbackstring

      Name of a function to call. This is primarily to enable cross-domain JavaScript requests using the <script> tag, also known as JSONP, and works with both the XML and JSON formats. The function will be called with the response passed as the parameter.

      uidint

      The user ID of the user whose permissions you are checking. If this parameter is not specified, then it defaults to the session user.

      Note: This parameter applies only to Web applications and is required by them only if the session_key is not specified. Facebook ignores this parameter if it is passed by a desktop application.

      Response

      Returns 1 (true) or 0 (false).

      Updated over a year ago
      Facebook © 2012 · English (US)
      AboutCareersPlatform PoliciesPrivacy Policy